curl --request GET \
--url https://api.rewind.rest/v1/feed/domain/{domain} \
--header 'Authorization: Bearer <token>'{
"data": [
{
"id": 2491,
"domain": "watching",
"event_type": "movie_watched",
"occurred_at": "2026-03-18T20:11:30.741Z",
"title": "Watched Ferris Bueller's Day Off (1986)",
"subtitle": null,
"image_key": null,
"source_id": "plex:webhook:123",
"metadata": null,
"created_at": "2026-03-18T20:11:30.762Z"
}
],
"pagination": {
"next_cursor": "2491",
"has_more": true,
"limit": 20
}
}Returns an activity feed filtered to a single domain with cursor-based pagination.
curl --request GET \
--url https://api.rewind.rest/v1/feed/domain/{domain} \
--header 'Authorization: Bearer <token>'{
"data": [
{
"id": 2491,
"domain": "watching",
"event_type": "movie_watched",
"occurred_at": "2026-03-18T20:11:30.741Z",
"title": "Watched Ferris Bueller's Day Off (1986)",
"subtitle": null,
"image_key": null,
"source_id": "plex:webhook:123",
"metadata": null,
"created_at": "2026-03-18T20:11:30.762Z"
}
],
"pagination": {
"next_cursor": "2491",
"has_more": true,
"limit": 20
}
}Documentation Index
Fetch the complete documentation index at: https://docs.rewind.rest/llms.txt
Use this file to discover all available pages before exploring further.
API key. Read keys (rw_live_...) access GET endpoints. Admin keys (rw_admin_...) access all endpoints.
Activity domain to filter by
listening, running, watching, collecting, attending "listening"
Cursor for pagination (feed item ID)
"42"
Number of items per page (1-100, default 50)
"50"
Single day (YYYY-MM-DD). Overrides from/to.
^\d{4}-\d{2}-\d{2}$"2025-02-17"
Range start, inclusive (ISO 8601)
"2025-02-01T00:00:00Z"
Range end, inclusive (ISO 8601)
"2025-02-28T23:59:59Z"